chiark / gitweb /
build-sys: check that compat-libs are enabled for "make dist"
authorFilipe Brandenburger <filbranden@google.com>
Tue, 17 Jun 2014 03:54:54 +0000 (20:54 -0700)
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
Fri, 20 Jun 2014 22:44:40 +0000 (18:44 -0400)
Running "make dist" requires --enable-compat-libs since DIST_SOURCES will list
generated files such as libsystemd-daemon.c.

Tested:
  $ ./configure && make && make dist
  *** compat-libs must be enabled in order to make dist
  make: *** [dist-check-compat-libs] Error 1

Makefile.am

index 9659856..b48b122 100644 (file)
@@ -5379,7 +5379,13 @@ if !HAVE_PYTHON
        @false
 endif
 
-dist: dist-check-python
+dist-check-compat-libs:
+if !ENABLE_COMPAT_LIBS
+       @echo "*** compat-libs must be enabled in order to make dist"
+       @false
+endif
+
+dist: dist-check-python dist-check-compat-libs
 
 # check "broken" platforms limited toolchains for link breakage before we release
 .PHONY: linkcheck